Main Page | Modules | Data Structures | File List | Data Fields | Globals | Related Pages

# _ADAPTER_INFO Struct Reference
[Packet.dll definitions and data structures]

Contains comprehensive information about a network adapter. More...

`#include <Packet32.h>`

## Data Fields
_ADAPTER_INFO * | Next
| Pointer to the next adapter in the list.
CHAR | Name [ADAPTER_NAME_LENGTH+1]
| Name of the device representing the adapter.
CHAR | Description [ADAPTER_DESC_LENGTH+1]
| Human understandable description of the adapter.
UINT | MacAddressLen
| Length of the link layer address.
UCHAR | MacAddress [MAX_MAC_ADDR_LENGTH]
| Link layer address.
NetType | LinkLayer
| Physical characteristics of this adapter. This NetType structure contains the link type and the speed of the adapter.
INT | NNetworkAddresses
| Number of network layer addresses of this adapter.
npf_if_addr * | NetworkAddresses
| Pointer to an array of npf_if_addr, each of which specifies a network address of this adapter.
UINT | Flags
| Adapter's flags. Tell if this adapter must be treated in a different way, using the Netmon API or the dagc API.

## Detailed Description

Contains comprehensive information about a network adapter.

This structure is filled with all the accessory information that the user can need about an adapter installed on his system.

Definition at line 229 of file Packet32.h.

## Field Documentation

CHAR Description[ADAPTER_DESC_LENGTH+1]

| Human understandable description of the adapter. Definition at line 233 of file Packet32.h. Referenced by PacketGetAdapterNames().

UINT Flags

| Adapter's flags. Tell if this adapter must be treated in a different way, using the Netmon API or the dagc API. Definition at line 239 of file Packet32.h. Referenced by PacketOpenAdapter().

NetType LinkLayer

| Physical characteristics of this adapter. This NetType structure contains the link type and the speed of the adapter. Definition at line 236 of file Packet32.h. Referenced by PacketGetNetType().

UCHAR MacAddress[MAX_MAC_ADDR_LENGTH]

| Link layer address. Definition at line 235 of file Packet32.h.

UINT MacAddressLen

| Length of the link layer address. Definition at line 234 of file Packet32.h.

CHAR Name[ADAPTER_NAME_LENGTH+1]

| Name of the device representing the adapter. Definition at line 232 of file Packet32.h. Referenced by PacketGetAdapterNames().

npf_if_addr* NetworkAddresses

| Pointer to an array of npf_if_addr, each of which specifies a network address of this adapter. Definition at line 238 of file Packet32.h. Referenced by DllMain(), and PacketGetNetInfoEx().

struct _ADAPTER_INFO* Next

| Pointer to the next adapter in the list. Definition at line 231 of file Packet32.h. Referenced by DllMain(), and PacketGetAdapterNames().

INT NNetworkAddresses

| Number of network layer addresses of this adapter. Definition at line 237 of file Packet32.h. Referenced by PacketGetNetInfoEx().

The documentation for this struct was generated from the following file:

- Packet32.h

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.